DISPDATA_REGISTER_DATA_CREATE_FUNC(3)

EXPERIMENTAL_FUNC
dispdata_register_data_create_func - Register a function to be called when a dataobject is created.

SYNOPSIS
#include <karma_dispdata.h>

KCallbackFunc dispdata_register_data_create_func

(KDisplayDataClass dataclass, void (*func) (void *info, KDisplayDataObject data), void *info)

DESCRIPTION
Register a function to be called when a dataobject is created.

dataclass
    The KDisplayDataClass the data belong to.

func
    The function that is called when a new dataobject is created.

info
    An arbitrary information pointer passed to <<func>>.

RETURN VALUE
A KCallbackFunc object. On failure, the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/